%define	name	gtk-sharp
%define	version 0.11
%define	release	0.20030831.3mdk

# Debian has split this package into subpackages as glib-sharp,
# gtk-sharp, gconf-sharp and gnome-sharp.
# As long as nobody complains about the dependencies, I won't
# do that.

# Not using a major is ok for mklibname?
%define libname %mklibname gtksharpglue
%define libnamedev %mklibname gtksharpglue -d

Summary:	C# language binding for the  gtk+ toolkit.
Name:		%name
Version:	%version
Release:	%release
License:	LGPL
Group:		System/Libraries
URL:		http://gtk-sharp.sourceforge.net/
Source0:	%name-%version-20030831.tar.bz2
# Don't compile subclass.cs sample, it breaks
Patch0:		%name-20030822-sample.patch.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	mono
BuildRequires:	libglade2.0_0-devel
BuildRequires:	libxslt-devel
BuildRequires:  gnome-db2.0-devel
BuildRequires:  gtksourceview-devel >= 0.2.0
BuildRequires:	libgnomeui2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	librsvg2_2-devel
Requires:	mono
Requires:	%libname = %version
Provides:	gtk#


%description
Gtk-sharp is a C# language binding for the  gtk+ toolkit.

%package doc
Summary:	Documentation for gtk-sharp
Group:		System/Libraries

%description doc
Gtk-sharp is a C# language binding for the  gtk+ toolkit.
This package provides documentation for gtk-sharp. 

%package -n %libname
Summary:	A glue library for Gtk+ C# language bindings.
Group:		System/Libraries

%description -n %libname
A glue library for Gtk+ C# language bindings
This is a native 'glue' library required by gtk-sharp and friends.

%package -n %libnamedev
Summary:	Development libraries for Gtk+ C# language bindings.
Group:		System/Libraries
Requires:	%libname = %version
Requires:	%{name} = %{version}
Provides:	gtk-sharp-devel = %{version}

%description -n %libnamedev
Development libraries for Gtk+ C# language bindings.
These are for a native 'glue' library required by gtk-sharp and friends.


%prep
rm -rf %buildroot

%setup -q -n %{name}-%{version}-20030831
%patch0 -p1

%build
# remove unnecessary files for doc package
find ./ -type d -name CVS|xargs rm -rf
find ./ -name .cvsignore -exec rm -f {} \;

./autogen.sh
%configure
%make

%install
%makeinstall_std

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%_bindir/*
%_libdir/*.dll
%dir %_datadir/gapi
%_datadir/gapi/*
%dir %_datadir/perl5
%dir %_datadir/perl5/GAPI
%_datadir/perl5/GAPI/*

%files doc
%defattr(-,root,root)
%doc ChangeLog HACKING README README.generator doc/en
#*[^makefile|README]
%doc gnometutorial sample


%files -n %libname
%defattr(-,root,root)
%_libdir/*.so

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/*.*a
%_libdir/pkgconfig/*

%changelog
* Sun Sep 07 2003 Marcel Pol <mpol@gmx.net> 0.11-0.20030831.3mdk
- use saner provides for devel package

* Fri Sep 05 2003 Marcel Pol <mpol@gmx.net> 0.11-0.20030831.2mdk
- add provides

* Thu Sep 04 2003 Marcel Pol <mpol@gmx.net> 0.11-0.20030831.1mdk
- cvs 20030831 for monodoc
- buildrequires

* Tue Aug 19 2003 Marcel Pol <mpol@gmx.net> 0.10-2mdk
- rebuild

* Sun Jun 15 2003 Marcel Pol <mpol@gmx.net> 0.10-1mdk
- 0.10

* Sat Jun 07 2003 Marcel Pol <mpol@gmx.net> 0.9-1mdk
- 0.9

* Thu Apr 17 2003 Marcel Pol <mpol@gmx.net> 0.8-4mdk
- libgtksharpglue subpackages
- used buildrequires from Andi Payn

* Tue Mar 18 2003 Quel Qun <kelk1@hotmail.com> 0.8-3mdk
- Rebuild with gda & gnomedb v 0.11.0.
* Mon Mar 10 2003 Quel Qun <kelk1@hotmail.com> 0.8-2mdk
- Rebuilt with mcs-0.23-1mdk.
- BuildRequires gtksourceview-devel automake.
* Thu Mar 06 2003 Quel Qun <kelk1@hotmail.com> 0.8-1mdk
- New version.
* Sun Dec 15 2002 Quel Qun <kelk1@hotmail.com> 0.6-3mdk
- Extracts the gnometutorial and sample directories.
* Sat Dec 14 2002 Quel Qun <kelk1@hotmail.com> 0.6-2mdk
- Add Buildrequires on recent libgda2 and libgnomedb2.
- Patched Makefiles to fix the install section.
* Thu Dec 12 2002 Quel Qun <kelk1@hotmail.com> 0.6-1mdk
- First Mandrake rpm.
